Name: agistudio
Version: 1.3.0
Release: 4%{?dist}
Summary: AGI integrated development environment
License: GPLv2+
Group: Amusements/Games
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
URL: http://agistudio.sourceforge.net/

BuildRequires: qt4-devel desktop-file-utils
#Requiring nagi, needed at runtime, not picked up by rpm.
Requires: hicolor-icon-theme, nagi, gtk2

%description
AGI (Adventure Game Interpreter) is the adventure game engine used by
Sierra On-Line to create some of their early games. QT AGI Studio
is a program which allows you to view, create and edit AGI games.

%prep

%setup -q

%build
cd src
qmake-qt4
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/agistudio
install -m 755 src/agistudio %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/agistudio/template
mkdir -p %{buildroot}%{_datadir}/agistudio/help
install -p -m 0644 help/* %{buildroot}%{_datadir}/agistudio/help
cp -pr template/* %{buildroot}%{_datadir}/%{name}/template 

# icon
install -d %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 0644  src/app_icon.xpm %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm

# desktop file
desktop-file-install  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%doc COPYING README relnotes help/*
%{_bindir}/agistudio
%{_datadir}/agistudio/
%{_datadir}/applications/agistudio.desktop
%{_datadir}/icons/hicolor/32x32/apps/agistudio.xpm

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 03 2013 Jon Ciesla <limburgher@gmail.com> - 1.3.0-1
- Latest upstream.

* Sat Feb 09 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.2.4-8
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines
- drop all unapplied patches

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 22 2011 Jon Ciesla <limb@jcomserv.net> - 1.2.4-5
- Explicitly require gtk2 for gtk-update-icon-cache, BZ 715416.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 26 2009 Jon Ciesla <limb@jcomserv.net> - 1.2.4-2
- Explicitly require nagi.

* Wed Apr 08 2009 Jon Ciesla <limb@jcomserv.net> - 1.2.4-1
- New upstream, dropping relevant patches.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Jon Ciesla <limb@jcomserv.net> - 1.2.3-8
- Description fix.

* Mon Mar 24 2008 Jon Ciesla <limb@jcomserv.net> - 1.2.3-7
- qt3 BR rename fix.

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 1.2.3-6
- GCC 4.3 rebuild.

* Thu Jan 03 2008 Jon Ciesla <limb@jcomserv.net> - 1.2.3-5
- Fixed cstdlib, string.h includes.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.3-4
- Corrected license tag.

* Tue May 29 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.3-3
- Added disttag.

* Thu May 24 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.3-2
- Preserved timestamps where possible.
- Added help to docs.

* Fri Apr 27 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.3-1
- Initial packaging very loosely based on .spec provided in upstream tarball.
